Subject: Re: [PATCH net] failover: eliminate callback hell

From: Stephen Hemminger <[email-masked]>
Date: Wed, 6 Jun 2018 14:26:30 -0700

On Wed, 6 Jun 2018 09:25:12 +0200
Jiri Pirko <[email-masked]> wrote:

> Tue, Jun 05, 2018 at 05:42:31AM CEST, [email-masked] wrote:
> >The net failover should be a simple library, not a virtual
> >object with function callbacks (see callback hell).  
> 
> Why just a library? It should do a common things. I think it should be a
> virtual object. Looks like your patch again splits the common
> functionality into multiple drivers. That is kind of backwards attitude.
> I don't get it. We should rather focus on fixing the mess the
> introduction of netvsc-bonding caused and switch netvsc to 3-netdev
> model.

To me, callbacks are worse than a simple notifier. Is there some other
agenda going on? do you want to get rid of network notifier.

Netvsc is not switching to 3 device model in near future.
Too much userspace is wrapped around it already.